# iAppsInfo

Information about an application relevant to issue tracking.

### Examples

```graphql
type IAppsInfo {
  id: String
  name: String
  businessPriority: Float
  riskScore: Float
  secPosture: Float
  type: String
  typeComments: String
  applicationFlows: ApplicationFlow
  fakeApp: Boolean
  originBranchName: String
  repoId: String
  organization: String
  repoName: String
  owners: [OwnerInfo]
  credentialsId: String
  lastCodeChange: String
  createdAt: String
  publicVisibility: Boolean
  branch: String
}
```

### Fields

| Field                                                                                                                     | Description                                                   | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                               | Unique identifier of the application                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| name `String`                                                                                                             | Name of the application                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| businessPriority `Float`                                                                                                  | Business priority score assigned to the application           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| riskScore `Float`                                                                                                         | Risk score associated with the application                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| secPosture `Float`                                                                                                        | Security posture score of the application                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| type `String`                                                                                                             | Type classification of the application                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| typeComments `String`                                                                                                     | Comments or additional information about the application type |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| applicationFlows [`ApplicationFlow`](/api-documentation/api-reference/api--application/types/objects/application-flow.md) | Application's flow or architecture details                    | <p>artifacts <a href="/pages/HDYSq0juB7qVDJPJd91U"><code>\[ArtifactItem]</code></a><br>cloudDeployments <a href="/pages/V2yHjXaJj1ejqwqDf7yF"><code>\[CloudDeployment]</code></a><br>cicdInfo <a href="/pages/Rysogpvgj04nBpBAk3lD"><code>\[CicdInfo]</code></a><br>orchestrators <a href="/pages/wYzytbGkFOPWnHvNXx0a"><code>\[OrchestratorItem]</code></a><br>kubernetes <a href="/pages/WRv82BNkuVxxo0Lv4hr3"><code>\[KubernetesItem]</code></a><br>repository <a href="/pages/wnC7IQmHjtHUiQgfwYhR"><code>\[RepositoryItem]</code></a></p> |
| fakeApp `Boolean`                                                                                                         | Indicates if the application is a placeholder or fake         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| originBranchName `String`                                                                                                 | Original branch name related to the application repository    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| repoId `String`                                                                                                           | Repository ID of the application's codebase                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| organization `String`                                                                                                     | Organization that owns the application                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| repoName `String`                                                                                                         | Repository name of the application's codebase                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| owners [`[OwnerInfo]`](/api-documentation/api-reference/api--application/types/objects/owner-info.md)                     | List of owners or maintainers of the application              | <p>name <code>String</code><br>email <code>String</code><br>roles <a href="/pages/TTN3PvA2y7JxP0vFfXkB"><code>\[AppOwnerRole]</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                   |
| credentialsId `String`                                                                                                    | The credentials id of the application                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| lastCodeChange `String`                                                                                                   | Last code change date of the application                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| createdAt `String`                                                                                                        | Created date of the application                               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| publicVisibility `Boolean`                                                                                                | Public visibility of the application                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| branch `String`                                                                                                           | Branch of the application                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

### References

#### Fields with this object:

* [{} Issue.app](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/i-apps-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
